petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSundialsSetLinearTolerance

Sets the tolerance used to solve the linear system by SUNDIALS.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsSetLinearTolerance(TS ts,double tol)

Logically Collective on TS Many br

### Input parameters

| ts | - the time-step context Many br
| tol | - the factor by which the tolerance on the nonlinear solver is Many brmultiplied to get the tolerance on the linear solver, .05 by default. Many br

Many br

### Keywords

GMRES, linear convergence tolerance, SUNDIALS

### See Also

TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetMaxl(),
TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), Many brTSSundialsGetIterations(), TSSundialsSetType(), Many brTSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), Many brTSSetExactFinalTime() Many br

Level:advanced
Location:src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages